PHP is one of the most widely used general-purpose scripting languages. It’s quite popular since it is free software, which you can use to develop responsive sites such as community sites, e-commerce portals or school websites as opposed to static HTML websites. A PHP module must be available on the server where a PHP website is hosted so that its code can be interpreted. As there aren’t any license taxes for this type of module and the language itself provides unlimited options for the web apps that you develop, there’re hundreds of millions of PHP sites. In addition, there’re many open-source PHP-based scripts, which you can use for your websites without needing to possess any coding capabilities. Since there are several versions of PHP, you need to confirm whether the exact same version that you used while developing your website is activated on the web server as well.

PHP 4 and PHP 5 Support in Cloud Web Hosting

If you get a cloud web hosting plan from us, you’ll never need to speculate over whether or not your websites are compatible with the web hosting platform, as different versions of PHP are available on our servers for your convenience. The Hepsia hosting Control Panel will allow you to choose PHP 5.5, 5.4, 5.3, 5.2 or 4 with only one single click and in case you’d like to change the current version, the new settings will take effect immediately. Thus, many years of work on sites built with an older version will not be wasted. Our web hosting platform will even allow you to use a different PHP version for each domain hosted in your account, which means that you can use newer and older scripts at the same time. Most hosting providers on the marketplace support one, sometimes two versions of PHP. In contrast with them, we hold that you should be the one to select the version that your very own sites will be using.

PHP 4 and PHP 5 Support in Semi-dedicated Hosting

In case you’ve got a site built on an earlier PHP version and you’ve committed time and effort into developing it, patching safety loopholes and posting web content, you will need to find a hosting service that can support it, as the majority of web hosting vendors today offer only the most recently introduced version of PHP and drop the previous ones. We, however, have decided to allow you to pick the exact version that your very own websites require. Our Linux semi-dedicated packages support PHP 4 and multiple versions of PHP 5, which goes to say that you’ll be able to run both older and newer scripts without losing any manual settings or frittering away time and effort attempting to make your websites compatible with the web hosting environment. You can change the current version via the Hepsia hosting Control Panel and such a change will apply to the entire account, but you’ll also be able to pick a different version for each single site hosted in your account by means of an .htaccess file.